Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#21123 - import webkit fails in python2

Attached to Project: Arch Linux
Opened by Iven Hsu (ivenvd) - Thursday, 07 October 2010, 07:11 GMT
Last edited by Rémy Oudompheng (remyoudompheng) - Thursday, 07 October 2010, 09:39 GMT
Task Type Bug Report
Category Packages: Testing
Status Closed
Assigned To No-one
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
I'm using testing repo, and I found import webkit fails in python2 with error:
>>> import webkit
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/usr/lib/python2.7/site-packages/webkit/__init__.py", line 19, in <module>
import webkit
RuntimeError: could not find _PyGtk_API object

Additional info:
* testing/pywebkitgtk 1.1.7-3
* testing/python2 2.7-2

Steps to reproduce:
$ python2
>>> import webkit
This task depends upon

Closed by  Rémy Oudompheng (remyoudompheng)
Thursday, 07 October 2010, 09:39 GMT
Reason for closing:  Fixed
Comment by Rémy Oudompheng (remyoudompheng) - Thursday, 07 October 2010, 08:33 GMT
This is due to a modification in pygtk, it needs a rebuild.
Comment by Rémy Oudompheng (remyoudompheng) - Thursday, 07 October 2010, 09:12 GMT
Fixed in pywebkitgtk 1.1.7-4

Loading...